Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class JavaPage

    java.lang.Object
      |
      +--com.caucho.jsp.Page
            |
            +--com.caucho.jsp.JavaPage

All Implemented Interfaces:
  CauchoPage, HttpJspPage, JspPage, Servlet, ServletConfig

public abstract class JavaPage
extends Page
implements HttpJspPage

Fields inherited from class com.caucho.jsp.Page
`alwaysModified, contentType, dbg, neverModified`

Constructor Summary
`JavaPage()`

Method Summary
`abstract void` | `_jspService(HttpServletRequest request, HttpServletResponse response)` The _jspService()method corresponds to the body of the JSP page.
`void` | `destroy()` Called by the servlet container to indicate to a servlet that the servlet is being taken out of service.
`java.lang.String` | `getServletInfo()` Returns information about the servlet, such as author, version, and copyright.
`void` | `init(ServletConfig config)` Called by the servlet container to indicate to a servlet that the servlet is being placed into service.
`void` | `jspDestroy()` The jspDestroy() method is invoked when the JSP page is about to be destroyed.
`void` | `jspInit()` The jspInit() method is invoked when the JSP page is initialized.
`void` | `service(ServletRequest request, ServletResponse response)` Called by the servlet container to allow the servlet to respond to a request.

Methods inherited from class com.caucho.jsp.Page
`_caucho_addCacheDepend, _caucho_addDepend, _caucho_addDepend, _caucho_getLineMap, _caucho_init, _caucho_isModified, _caucho_lastModified, _caucho_setAlwaysModified, _caucho_setCacheable, _caucho_setContentType, _caucho_setModified, _caucho_setNeverModified, calculateLastModified, cauchoIsModified, getInitParameter, getInitParameterNames, getLastModified, getServletConfig, getServletContext, getServletName, init, isDead, log, log, subservice`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Servlet
`getServletConfig`

Constructor Detail

### JavaPage

    public JavaPage()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Description copied from interface: `Servlet`
  Called by the servlet container to indicate to a servlet that the servlet is being placed into service.

  The servlet container calls the `init` method exactly once after instantiating the servlet. The `init` method must complete successfully before the servlet can receive any requests.

  The servlet container cannot place the servlet into service if the `init` method

  1. Throws a `ServletException`
  2. Does not return within a time period defined by the Web server
  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `Page`
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `config` - a `ServletConfig` object containing the servlet's configuration and initialization parameters
  Throws:
    `ServletException` - if an exception has occurred that interferes with the servlet's normal operation
  See Also:
    `UnavailableException`, `Servlet.getServletConfig()`

### jspInit

    public void jspInit()

  Description copied from interface: `JspPage`
  The jspInit() method is invoked when the JSP page is initialized. It is the responsibility of the JSP implementation (and of the class mentioned by the extends attribute, if present) that at this point invocations to the getServletConfig() method will return the desired value. A JSP page can override this method by including a definition for it in a declaration element. A JSP page should redefine the init() method from Servlet.
  Specified by:
    `jspInit` in interface `JspPage`

### service

    public void service(ServletRequest request,
                        ServletResponse response)
                 throws ServletException,
                        java.io.IOException

  Description copied from interface: `Servlet`
  Called by the servlet container to allow the servlet to respond to a request.

  This method is only called after the servlet's `init()` method has completed successfully.

  The status code of the response always should be set for a servlet that throws or sends an error.

  Servlets typically run inside multithreaded servlet containers that can handle multiple requests concurrently. Developers must be aware to synchronize access to any shared resources such as files, network connections, and as well as the servlet's class and instance variables. More information on multithreaded programming in Java is available in the Java tutorial on multi-threaded programming.

  Specified by:
    `service` in interface `Servlet`
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `req` - the `ServletRequest` object that contains the client's request
    `res` - the `ServletResponse` object that contains the servlet's response
  Throws:
    `ServletException` - if an exception occurs that interferes with the servlet's normal operation
    `java.io.IOException` - if an input or output exception occurs

### _jspService

    public abstract void _jspService(HttpServletRequest request,
                                     HttpServletResponse response)
                              throws ServletException,
                                     java.io.IOException

  Description copied from interface: `HttpJspPage`
  The _jspService()method corresponds to the body of the JSP page. This method is defined automatically by the JSP container and should never be defined by the JSP page author.

  If a superclass is specified using the extends attribute, that superclass may choose to perform some actions in its service() method before or after calling the _jspService() method. See using the extends attribute in the JSP_Engine chapter of the JSP specification.

  Specified by:
    `_jspService` in interface `HttpJspPage`

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from interface: `Servlet`
  Returns information about the servlet, such as author, version, and copyright.

  The string that this method returns should be plain text and not markup of any kind (such as HTML, XML, etc.).

  Specified by:
    `getServletInfo` in interface `Servlet`
  Overrides:
    `getServletInfo` in class `Page`
  Following copied from interface: `javax.servlet.Servlet`
  Returns:
    a `String` containing servlet information

### destroy

    public void destroy()

  Description copied from interface: `Servlet`
  Called by the servlet container to indicate to a servlet that the servlet is being taken out of service. This method is only called once all threads within the servlet's `service` method have exited or after a timeout period has passed. After the servlet container calls this method, it will not call the `service` method again on this servlet.

  This method gives the servlet an opportunity to clean up any resources that are being held (for example, memory, file handles, threads) and make sure that any persistent state is synchronized with the servlet's current state in memory.

  Specified by:
    `destroy` in interface `Servlet`
  Overrides:
    `destroy` in class `Page`

### jspDestroy

    public void jspDestroy()

  Description copied from interface: `JspPage`
  The jspDestroy() method is invoked when the JSP page is about to be destroyed. A JSP page can override this method by including a definition for it in a declaration element. A JSP page should redefine the destroy() method from Servlet.
  Specified by:
    `jspDestroy` in interface `JspPage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD